Subject: bug#49195: Starting Emacs if required from emacsclient.desktop

From: Eli Zaretskii <[email-masked]>
Date: Thu, 24 Jun 2021 17:22:02 +0300

> Date: Thu, 24 Jun 2021 14:28:29 +0100 (BST)
> From: Peter Oliver <[email-masked]>
> cc: [email-masked]
> 
> > FWIW, I would find this change surprising,
> 
> For someone to be unpleasantly surprised by this, they would need to launch emacsclient.desktop with the hope that it would fail because an Emacs daemon is not already running.  If they want it to fail, why would they try to launch it?

Because they don't remember whether they did or didn't start a server?
Happens to me from time to time.

> > and therefore would suggest to leave this off by default.  But that's me.
> 
> I’m not sure what off by default would mean in this context.

What it is now.

> > More generally, I'm not sure we should even say this in the Emacs
> > manual, as these features belong to the desktop, not to Emacs.
> 
> This section of the manual already describes how to start Emacs from systemd, which isn’t part of Emacs either.

systemd support code is in emacs.c, so that is (borderline) okay.
What you describe is just normal desktop invocation, AFAIU.

> +  If your operating system’s desktop environment is
> +@url{https://www.freedesktop.org/wiki/Specifications/,,freedesktop.org-compatible}
> +(which is true of most GNU/Linux and other recent Unix-like GUIs), you
> +may use the @dfn{Emacs (Client)} menu entry to connect to an Emacs

It is wrong to use @dfn here, since this is not new terminology you
are introducing.  Better use @samp.

> +server with @command{emacsclient}.  If the daemon is not already
> +running, it will be started for you.
            ^^^^^^^^^^^^^^^^^^^^^^^^^^
Please try rephrasing this to avoid passive tense.

Thanks.